/*  token_types.h
 *
 *  Copyright (C) 2013, Marin Ramesa <marin.ramesa@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#define DECIMAL_INTEGER 1
#define HEXADECIMAL_INTEGER 2
#define OCTAL_INTEGER 3
#define DECIMAL_UNSIGNED_INTEGER 4
#define DECIMAL_LONG_INTEGER 5
#define DECIMAL_UNSIGNED_LONG_INTEGER 6
#define DECIMAL_LONG_LONG_INTEGER 7
#define DECIMAL_UNSIGNED_LONG_LONG_INTEGER 8
#define ELLIPSIS 9
#define DOUBLE_NUM 10
#define FLOAT_NUM 11
#define LONG_DOUBLE 12
#define AUTO 13
#define BREAK 14
#define CASE 15
#define CHAR 16
#define CONST 17
#define CONTINUE 18
#define DEFAULT 19
#define DO 20
#define DOUBLE 21
#define ELSE 22
#define ENUM 23
#define EXTERN 24
#define FLOAT 25
#define FOR 26
#define GOTO 27
#define IF 28
#define INT 29
#define LONG 30
#define REGISTER 31
#define RETURN 32
#define SHORT 33
#define SIGNED 34
#define SIZEOF 35
#define STATIC 36
#define STRUCT 37
#define SWITCH 38
#define TYPEDEF 39
#define UNION 40
#define UNSIGNED 41
#define VOID 42
#define VOLATILE 43
#define WHILE 44
#define INLINE 45
#define _BOOL 46
#define _COMPLEX 47
#define _IMAGINARY 48
#define ASSIGNMENT 49
#define INCREMENT 50
#define DECREMENT 51
#define ARITHMETIC 52
#define COMPARISON 53
#define LOGICAL 54
#define BIT_SHIFT 55
#define BITWISE_LOGICAL 56
#define COMMA 57
#define MEMBER_ACCESS 58
#define CONDITIONAL 59
#define CONCATENATION 60
#define CHARACTER 61
#define STRING 62

